Permalink
Browse files

Autocorrect Gemspec/OrderedDependencies

  • Loading branch information...
mvz committed Oct 20, 2017
1 parent 3fc9a22 commit 2b918922357edd7205983ac3a4f44578e800ecbf
View
@@ -6,16 +6,6 @@
# Note that changes in the inspected code, or installation of new
# versions of RuboCop, may require this file to be generated again.
# Offense count: 10
# Cop supports --auto-correct.
# Configuration parameters: Include, TreatCommentsAsGroupSeparators.
# Include: **/*.gemspec
Gemspec/OrderedDependencies:
Exclude:
- 'publify_amazon_sidebar/publify_amazon_sidebar.gemspec'
- 'publify_core/publify_core.gemspec'
- 'publify_textfilter_code/publify_textfilter_code.gemspec'
# Offense count: 8
Lint/RescueWithoutErrorClass:
Exclude:
@@ -16,10 +16,10 @@ Gem::Specification.new do |s|
s.files = File.open('Manifest.txt').readlines.map(&:chomp)
s.add_dependency 'rails', '~> 5.1.2'
s.add_dependency 'publify_core', '~> 9.0.0'
s.add_dependency 'rails', '~> 5.1.2'
s.add_development_dependency 'sqlite3'
s.add_development_dependency 'rspec-rails', '~> 3.6.0'
s.add_development_dependency 'simplecov', '~> 0.14.0'
s.add_development_dependency 'sqlite3'
end
@@ -19,8 +19,6 @@ Gem::Specification.new do |s|
s.required_ruby_version = '>= 2.2.0'
s.add_dependency 'rails', '~> 5.1.2'
s.add_dependency 'RedCloth', '~> 4.3.2'
s.add_dependency 'aasm', '~> 4.12.0'
s.add_dependency 'akismet', '~> 2.0'
s.add_dependency 'bluecloth', '~> 2.1'
@@ -35,23 +33,25 @@ Gem::Specification.new do |s|
s.add_dependency 'jquery-rails', '~> 4.3.1'
s.add_dependency 'jquery-ui-rails', '~> 6.0.1'
s.add_dependency 'kaminari', '~> 1.0.1'
s.add_dependency 'mimemagic', '~> 0.3.2'
s.add_dependency 'mini_magick', '~> 4.2'
s.add_dependency 'rails', '~> 5.1.2'
s.add_dependency 'rails-timeago', '~> 2.0'
s.add_dependency 'rails_autolink', '~> 1.1.0'
s.add_dependency 'recaptcha', ['~> 4.3', '>= 4.3.1']
s.add_dependency 'RedCloth', '~> 4.3.2'
s.add_dependency 'rubypants', '~> 0.6.0'
s.add_dependency 'mimemagic', '~> 0.3.2'
s.add_dependency 'sass-rails', '~> 5.0'
s.add_dependency 'twitter', '~> 6.1.0'
s.add_dependency 'uuidtools', '~> 2.1.1'
s.add_development_dependency 'sqlite3'
s.add_development_dependency 'rspec-rails', '~> 3.5'
s.add_development_dependency 'capybara', '~> 2.7'
s.add_development_dependency 'factory_girl_rails', '~> 4.8.0'
s.add_development_dependency 'i18n-tasks', '~> 0.9.1'
s.add_development_dependency 'rails-controller-testing', '~> 1.0.1'
s.add_development_dependency 'rspec-rails', '~> 3.5'
s.add_development_dependency 'simplecov', '~> 0.14.0'
s.add_development_dependency 'sqlite3'
s.add_development_dependency 'timecop', '~> 0.8.1'
s.add_development_dependency 'webmock', '~> 3.0.1'
s.add_development_dependency 'simplecov', '~> 0.14.0'
end
@@ -16,12 +16,12 @@ Gem::Specification.new do |s|
s.files = File.open('Manifest.txt').readlines.map(&:chomp)
s.add_dependency 'rails', '~> 5.1.2'
s.add_dependency 'publify_core', '~> 9.0.0'
s.add_dependency 'coderay', '~> 1.1.0'
s.add_dependency 'htmlentities', '~> 4.3'
s.add_dependency 'publify_core', '~> 9.0.0'
s.add_dependency 'rails', '~> 5.1.2'
s.add_development_dependency 'sqlite3'
s.add_development_dependency 'rspec-rails', '~> 3.6.0'
s.add_development_dependency 'simplecov', '~> 0.14.0'
s.add_development_dependency 'sqlite3'
end

0 comments on commit 2b91892

Please sign in to comment.